Package org.opensaml.saml.ext.saml2mdrpi

# Interface PublicationInfo

All Superinterfaces:
  `SAMLObject`, `XMLObject`

All Known Implementing Classes:
  `PublicationInfoImpl`

public interface PublicationInfo extends SAMLObject
Representation of the `<mdrpi:PublicationInfo>` element.

See Also:
  - http://docs.oasis-open.org/security /saml/Post2.0/saml-metadata-rpi/v1.0/

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`CREATION_INSTANT_ATTRIB_NAME`
creation attribute name.
`static final QName`
`CREATION_INSTANT_ATTRIB_QNAME`
QName of the creation attribute.
`static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
Name of the element inside the Extensions.
`static final QName`
`DEFAULT_ELEMENT_NAME`
Default element name.
`static final String`
`PUBLICATION_ID_ATTRIB_NAME`
publication id attribute name.
`static final String`
`PUBLISHER_ATTRIB_NAME`
publisher attribute name.
`static final String`
`TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`TYPE_NAME`
QName of the XSI type.

## Method Summary

Modifier and Type
Method
Description
`Instant`
`getCreationInstant()`
Get the creation instant.
`String`
`getPublicationId()`
Get the publicationId.
`String`
`getPublisher()`
Get the publisher.
`List<UsagePolicy>`
`getUsagePolicies()`
Get the `UsagePolicy`s.
`void`
`setCreationInstant(Instant dateTime)`
Set the creation instant.
`void`
`setPublicationId(String publicationId)`
Set the publicationId.
`void`
`setPublisher(String publisher)`
Set the publisher.

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### DEFAULT_ELEMENT_LOCAL_NAME

@Nonnull @NotEmpty static final String DEFAULT_ELEMENT_LOCAL_NAME
Name of the element inside the Extensions.

See Also:
  - Constant Field Values

### DEFAULT_ELEMENT_NAME

@Nonnull static final QName DEFAULT_ELEMENT_NAME
Default element name.

### TYPE_LOCAL_NAME

@Nonnull @NotEmpty static final String TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### TYPE_NAME

@Nonnull static final QName TYPE_NAME
QName of the XSI type.

### PUBLISHER_ATTRIB_NAME

@Nonnull @NotEmpty static final String PUBLISHER_ATTRIB_NAME
publisher attribute name.

See Also:
  - Constant Field Values

### CREATION_INSTANT_ATTRIB_NAME

@Nonnull @NotEmpty static final String CREATION_INSTANT_ATTRIB_NAME
creation attribute name.

See Also:
  - Constant Field Values

### CREATION_INSTANT_ATTRIB_QNAME

@Nonnull static final QName CREATION_INSTANT_ATTRIB_QNAME
QName of the creation attribute.

### PUBLICATION_ID_ATTRIB_NAME

@Nonnull @NotEmpty static final String PUBLICATION_ID_ATTRIB_NAME
publication id attribute name.

See Also:
  - Constant Field Values

## Method Details

### getPublisher

@Nullable String getPublisher()
Get the publisher.

Returns:
  the publisher

### setPublisher

void setPublisher(@Nullable String publisher)
Set the publisher.

Parameters:
  `publisher` - the publisher

### getCreationInstant

@Nullable Instant getCreationInstant()
Get the creation instant.

Returns:
  the creation instant

### setCreationInstant

void setCreationInstant(@Nullable Instant dateTime)
Set the creation instant.

Parameters:
  `dateTime` - the instant

### getPublicationId

@Nullable String getPublicationId()
Get the publicationId.

Returns:
  the publicationId

### setPublicationId

void setPublicationId(@Nullable String publicationId)
Set the publicationId.

Parameters:
  `publicationId` - the publicationIdr

### getUsagePolicies

@Nonnull @Live List<UsagePolicy> getUsagePolicies()
Get the `UsagePolicy`s.

Returns:
  the list of policies